Module | Kernel
In: | erubis/util.rb

$Release: 2.7.0 $ copyright(c) 2006-2011 kuwata-lab.com all rights reserved.

### Methods

not_implemented

### Private Instance methods

not_implemented(

raise NotImplementedError

[Source]

    # File erubis/util.rb, line 11
      def not_implemented     #:doc:
        backtrace = caller()
        method_name = (backtrace.shift =~ /`(\w+)'$/) && $1
        mesg = "class #{self.class.name} must implement abstract method '#{method_name}()'."
        #mesg = "#{self.class.name}##{method_name}() is not implemented."
        err = NotImplementedError.new mesg
        err.set_backtrace backtrace
        raise err
      end

[Validate]